{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 6,
			"minor" : 1,
			"revision" : 2,
			"architecture" : "x64"
		}
,
		"rect" : [ 701.0, 44.0, 1157.0, 724.0 ],
		"bglocked" : 0,
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"statusbarvisible" : 0,
		"toolbarvisible" : 0,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"description" : "",
		"digest" : "",
		"tags" : "",
		"boxes" : [ 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-118",
					"linecount" : 4,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 15.375, 655.90625, 165.0, 60.0 ],
					"text" : "Play, Pause, Rewind, Cycle. (there are more functions, see [hostcontrol~] help patcher"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-116",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 950.795532, 92.65625, 93.875, 20.0 ],
					"text" : "via Peter Elsea"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-109",
					"linecount" : 18,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 586.858032, 415.90625, 588.0, 248.0 ],
					"text" : "This patch uses rewire to show and control the Logic Pro 9 transport in  Max (I'm running Max 6.1.2 and Logic in 64-bit mode). The clock in Logic 9 runs at 960ppq. This patch should be accurate to within 2 ppq of Logic's transport at steady tempos. During tempo changes the acuracy lags.\n\nThe area to the left is designed to go into a [bpatcher] or other UI area.\n\nThere's no need to establish an aux track or external MIDI track in Logic.\n\nMake sure that Max is available as a ReWire  client in Logic (check the Library), ad_rewire is the Max driver, MaxMSP audio is enabled, and MTC is being sent to [midiin].\n\nTip #1: when implementing this give [transport] an @name attribute object. Unnamed [transport]'s revert to @clocksource internal.\n\nTip #2: If Max 6 does not show up as a ReWire client in the Logic Library, make an alias for  /Applications/Max 6.1/Cycling '74/ad/MSPReWireDevice.bundle and put it in /Users/[USERNAME]/Library/Application Support/Propellerhead Software/ReWire/. If problems persist try reinstalling ReWire or trashing unused ReWire aliases."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-107",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 671.295532, 77.0, 80.795532, 33.0 ],
					"text" : "<<Set to ad_rewire"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-105",
					"linecount" : 7,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 346.0625, 525.15625, 109.0, 100.0 ],
					"text" : "<<Division must be set manually to match the Logic Transport. PPQ and divisions sync less well when the division is > 32."
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-103",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 246.429016, 76.875, 280.0, 20.0 ],
					"text" : "<<see GlobalTransport.maxpat for more about this"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-101",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 2,
					"outlettype" : [ "", "" ],
					"patching_rect" : [ 187.0, 126.0, 79.0, 20.0 ],
					"text" : "route symbol"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-100",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 4,
					"outlettype" : [ "", "", "", "" ],
					"patching_rect" : [ 187.0, 102.0, 88.0, 20.0 ],
					"saved_object_attributes" : 					{
						"embed" : 0
					}
,
					"text" : "coll division.txt"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-99",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 187.0, 76.875, 64.0, 20.0 ],
					"text" : "r divisions"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-88",
					"linecount" : 2,
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 457.84375, 478.40625, 119.829468, 33.0 ],
					"text" : "<<HERE'S THE TRANSPORT INFO"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-83",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 268.25, 364.0, 74.0, 20.0 ],
					"text" : "prepend set"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-77",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 268.25, 389.125, 40.0, 20.0 ],
					"text" : "s bbu"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-71",
					"maxclass" : "newobj",
					"numinlets" : 11,
					"numoutlets" : 2,
					"outlettype" : [ "", "" ],
					"patching_rect" : [ 268.25, 335.125, 230.0, 20.0 ],
					"text" : "combine 1 / 2 \" \" 3 . 4 . 5 . 6 @triggers 10"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-59",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 818.920532, 32.65625, 104.0, 20.0 ],
					"text" : "<Send MTC here"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-57",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 15.375, 6.65625, 106.0, 20.0 ],
					"text" : "ReWire transport"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-51",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 771.545532, 6.65625, 48.6875, 20.0 ],
					"text" : "MTC"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-34",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 15.375, 415.90625, 150.0, 20.0 ],
					"text" : "Display/Control"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-69",
					"maxclass" : "newobj",
					"numinlets" : 3,
					"numoutlets" : 3,
					"outlettype" : [ "bang", "bang", "" ],
					"patching_rect" : [ 56.375, 498.15625, 46.0, 20.0 ],
					"text" : "sel 0 1"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-64",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 56.375, 473.40625, 86.0, 20.0 ],
					"text" : "r rewire-active"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-61",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 367.1875, 364.0, 88.0, 20.0 ],
					"text" : "s rewire-active"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-54",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 808.420532, 347.65625, 74.0, 20.0 ],
					"text" : "prepend set"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-52",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 347.0625, 478.40625, 112.0, 20.0 ],
					"text" : "01:00:24:12",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-48",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 361.0625, 428.15625, 80.0, 20.0 ],
					"text" : "r hh:mm:ss:ff"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-46",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 808.420532, 142.65625, 54.0, 20.0 ],
					"text" : "t i i"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-40",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 808.420532, 373.65625, 82.0, 20.0 ],
					"text" : "s hh:mm:ss:ff"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-42",
					"linecount" : 2,
					"maxclass" : "newobj",
					"numinlets" : 7,
					"numoutlets" : 2,
					"outlettype" : [ "", "" ],
					"patching_rect" : [ 808.420532, 311.65625, 187.375, 33.0 ],
					"text" : "combine 1 : 2 : 3 : 4 @triggers 0 2 4 6 @padding 2 0 2 0 2 0 2"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-43",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 13,
					"outlettype" : [ "int", "int", "int", "int", "int", "int", "int", "int", "int", "int", "int", "int", "int" ],
					"patching_rect" : [ 864.545532, 142.65625, 205.0, 20.0 ],
					"text" : "unpack 1 2 3 4 5 6 7 8 9 10 11 12 13"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-44",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 864.545532, 117.65625, 267.0, 20.0 ],
					"text" : "match 240 127 127 6 68 6 nn nn nn nn nn 0 247"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-145",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 778.420532, 92.65625, 49.0, 20.0 ],
					"text" : "unpack"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-132",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 808.420532, 264.65625, 47.0625, 20.0 ],
					"text" : "+ 0"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-133",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 808.420532, 288.65625, 35.0, 20.0 ],
					"text" : "& 31"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-134",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 920.670532, 264.65625, 47.0625, 20.0 ],
					"text" : "+ 0"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-135",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 976.795532, 264.65625, 47.0625, 20.0 ],
					"text" : "+ 0"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-136",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 808.420532, 191.65625, 54.0, 20.0 ],
					"text" : "pack"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-137",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 808.420532, 167.65625, 32.5, 20.0 ],
					"text" : "/ 16"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-138",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 843.420532, 167.65625, 35.0, 20.0 ],
					"text" : "& 15"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-139",
					"maxclass" : "newobj",
					"numinlets" : 9,
					"numoutlets" : 9,
					"outlettype" : [ "", "", "", "", "", "", "", "", "" ],
					"patching_rect" : [ 808.420532, 215.65625, 243.5, 20.0 ],
					"text" : "route 7 6 5 4 3 2 1 0"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-140",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 864.545532, 240.65625, 32.5, 20.0 ],
					"text" : "* 16"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-141",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 808.420532, 240.65625, 32.5, 20.0 ],
					"text" : "* 16"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-142",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 976.795532, 240.65625, 32.5, 20.0 ],
					"text" : "* 16"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-143",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 864.545532, 264.65625, 47.0625, 20.0 ],
					"text" : "+ 0"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-144",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 920.670532, 240.65625, 32.5, 20.0 ],
					"text" : "* 16"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-131",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 778.420532, 62.65625, 83.0, 20.0 ],
					"text" : "match 241 nn"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-74",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 778.420532, 32.65625, 42.0, 20.0 ],
					"text" : "midiin"
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 0.74902, 0.74902, 0.74902, 0.0 ],
					"bgoncolor" : [ 0.6, 0.8, 0.6, 0.0 ],
					"bgovercolor" : [ 0.701961, 0.701961, 0.701961, 0.0 ],
					"bgoveroncolor" : [ 0.6, 0.8, 0.6, 0.0 ],
					"border" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-4",
					"maxclass" : "textbutton",
					"numinlets" : 1,
					"numoutlets" : 3,
					"outlettype" : [ "", "", "int" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 210.625, 488.40625, 20.0, 20.0 ],
					"rounded" : 0.0,
					"text" : " ",
					"texton" : " "
				}

			}
, 			{
				"box" : 				{
					"autofit" : 1,
					"id" : "obj-5",
					"maxclass" : "fpic",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 210.625, 488.40625, 20.0, 20.0 ],
					"pic" : "Rewind.png"
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 0.74902, 0.74902, 0.74902, 0.0 ],
					"bgoncolor" : [ 0.6, 0.8, 0.6, 0.0 ],
					"bgovercolor" : [ 0.701961, 0.701961, 0.701961, 0.0 ],
					"bgoveroncolor" : [ 0.6, 0.8, 0.6, 0.0 ],
					"border" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-50",
					"maxclass" : "textbutton",
					"mode" : 1,
					"numinlets" : 1,
					"numoutlets" : 3,
					"outlettype" : [ "", "", "int" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 230.625, 488.40625, 20.0, 20.0 ],
					"rounded" : 0.0,
					"text" : " ",
					"texton" : " "
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 0.74902, 0.74902, 0.74902, 0.0 ],
					"bgoncolor" : [ 0.6, 0.8, 0.6, 0.5 ],
					"bgovercolor" : [ 0.701961, 0.701961, 0.701961, 0.0 ],
					"bgoveroncolor" : [ 0.6, 0.8, 0.6, 0.5 ],
					"border" : 0,
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-49",
					"maxclass" : "textbutton",
					"mode" : 1,
					"numinlets" : 1,
					"numoutlets" : 3,
					"outlettype" : [ "", "", "int" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 250.625, 488.40625, 20.0, 20.0 ],
					"rounded" : 0.0,
					"text" : " ",
					"texton" : " "
				}

			}
, 			{
				"box" : 				{
					"autofit" : 1,
					"data" : [ 9827, "", "IBkSG0fBZn....PCIgDQRA..A....D..HX.....WxgpY....DLmPIQEBHf.B7g.YHB..f.PRDEDU3wY6cuGdTUct+.+66ZlvsHzCdof0Sa0SshWpR8nnVqUA7tk3EfDPH.BHDHZQonhHpyIspGugTAgVCHHIjHjHfBZNhnfGT7RE+YqV6in0ZApHTAUtDfjY1qu+9ClzSJBZlY1yr1yj2OOOyi4Qyr2em3re2q8Zu1qEfRoTJkRoTJkRoTJkRoTJkRoTJkRoTJkRoTJkJKj35.nRcqZUq5eqMsoMGi0ZOFiwbL.3nAPm.P9.nCjLeQjN.f7IYGDQZ5e1N.ra.rS.rK.rSR9O+YQj+4OG++1WRx+h0ZW24cdm2m5fOpJelV.HKwq7JuRGAvoKhbhj7XDQNll9mhH+aY57DuPw5Z5kHx5777VWnPg9fy9rO68joyiJ4nE.BfV0pVU31zl1bxj7LAvY.fyD.GuHhwwQ6aj0ZI.1.1Wgg+fwXV4t10tdkK9hu35cbzTG.ZAf.f0t109s1yd1yEAfehHxYPx+SiwzdWmK+h0ZiJh7Fjbkjbk6ZW650urK6xZv04RoE.blW4Udke.IK..E.fyUDIrqyTlh0Z2iHxZ.vJI4J27l27ZKpnh7bctZMRK.jgPRyK+xu7OQD4xAPAhHmfqyTPAI2A.VoHx72wN1wynsNHyQK.jls5Uu5yC.WC.5iHxg633D3Ys1uPDYgVqshd1yd9ZtNO45zB.oAqYMq4a644cM.3ZEQ9gtNOYqH4GRxJBGNbk+ze5Oc8tNO4hzB.9DRZV8pW8ERxQAfK2XL445LkqH9cVX0FiYdFi4IOmy4b1oqyTtBs.PJ5EdgW3nBGN7HEQFgHx2204IWm0Z2C.pF.2WO6YO+PWmmrcZAfjzpV0pNZQjaC.CSDoMtNOs1PRK.pA.2SO6YOeWWmmrUZAfDzK9hu3OvXL2lHxPaMcq6Bphe4AKyXL284cdm2u204IaiV.nEZEqXEGW3vgmL.FrHRHWmG0Wk0ZeAQj6tW8pWujqyR1Bs.v2fW5kdoSfj2N.Ffdfe1AR9pVq8tO+y+7qy0YInSK.bPrhUrhCKTnP2C12sxKvOF7UeUVqcsj75tfK3BzKM3fPK.rehDIh4bO2ysDQj6RD4PccdToFRR.LqFarwIcIWxk74tNOAMZAfl4EewW7rAviHhbptNKJ+k0Z2pHxD6cu68bEQnqySPgV...qZUqpqddd2uHRwhH5eSxgQxWyXLk1qd0q+fqyRPPq5urWSM0Dpycty2fHRDQjN457nxLHoG.lQiM13cbYW1ksCWmGWpUaAfUrhU7eHhLeQjehqyhxMH4lI4DtvK7Bq10YwUZUV.XEqXECE66Z86nqyhx8H4x777tlVicRXqpB.Oyy7Lctssss+NQjhbcVTAKjbCjb.WzEcQutqyRlTqlB.qXEqnmjrBQjuqqyhJXhjQAvjtnK5hlhqyRlRNeAf0t10l2111190hH2rNfdTsDjbYM1XiCqO8oOegqyR5VNcAfm+4e9uCIeJQjd35rnxtPx0CfAbwW7E+FtNKoS4rmQbEqXE8vZsuodvuJYDetc3kW9xW9uz0YIcJmrE.Ke4KefVqctFioctNKprejbosssscX8pW85KccV7a4TE.Hor7ku7ekHxs65rnxsPx2Kb3vW7EbAWvm35r3mxYJ.r7ku77877pvXL800YQkahjaPD4hujK4RdeWmE+RNQAfm64dtuKIWpHxO10YQkaijaSD4xtjK4RxIdDiy5K.TWc0ch.3EEQ5pqyhp0Aq0VuwX52kdoW5xccVRUY02Ef5pqtSgjujdvuJSxXL4SxkUWc0MXWmkTUVaK.pqt5NURtBQjCy0YQ05DIoHxu7xtrK6235rjrxJaAPc0UWOH4KpG7qbo3ycDS8Ye1m8+10YIYk00Bfktzk9SDQdNiwnO+9p.CRVde5SeJw04HQkUU.XYKaY+LQj5DQNDWmkfl3KTFaA.aK9qs1zOGumq2lHxV8771VnPg1VCMzv15bm6712912d6APGaaaaaGiFMZmBEJTGIYGAPGAPm.vQQxiWDoaj7XMFSac0mwfNq0duETPASx04HQj0T.XoKcommHxyJhjuqyRP.I2MI+8hHqQD4UZaaa6qcgW3Et8z49LRjHldzidbzVqsahHcC.cC.mJ.NccJSeeH43KnfBxZ5SfrhB.O6y9rmr0ZeYQjukqyhqXs1MKhrFRtFQj0bjG4Q91m9oe5Qcct..pqt55TznQOWiwzK.za.z8VqyshwmEhGRAETPUtNKsDA9+mzxV1xNJR95hH+6tNKYRj7e.fmVD4UhFM5Z5ae66G45L0Rs3Eu3CKb3v8jj8VDofVayACjLpHRAETPAA9wIPft.Pc0UWmhEK1KKhbJtNKYBwuN9U.fY8oe5mtzRJoj.wY3SEjTV5RWZuDQFJ.5Wqk9ugj0Khz6BJnf.8HFLvV.3QezGMut10tVmHxE35rjtQx+NIma3vger9zm9rdWmmzkku7km+d26duJRNTQjyOWeBZIdmudNW9ke4A1mcf.aAfm9oe54E+rF4jHYLR9rXeqZMOWQEUjmqyTlzxV1xNJq0NT.Ltb4Qxo0Z2PnPgN6BJnf.4SQXfr.vS+zO8uF.4jORuj7uRxGyZsyse8qeepqyiqspUsp18ke4WNBQjaI9jvQNGR9dj7btpq5pBbym.AtB.KYIKYjFiY1tNG9MRtA.Lwq3JthEpKMUeUqZUqJ7W9keYw.3VMFS2bcd7aVqcoW0UcUWgqyw9KPU.3odpm5TsV6qkKMXSHY8.39hFM5CVTQEsGWmmftHQhX5d26d+EQtMQjt6573mrV6D5ae66C45bzbAlB.0UWccpgFZ3sDQNVWmE+.2m4mWd4Mof50+EjQRYIKYICWD49DQNbWmG+P7aO3O6JuxqLvLQiFXJ.rjkrjEBfbhErCq09ZhH2Xe6aeCz2BnrA0TSMGZ3vguG.Lpbg6Z.IWeaZSaN0fxTNdfn.vhW7hGiHxu004HUYs1MZLla8Juxq7Izqy2esnEsnd.feqwXNMWmkTEIWVe6aeubWmCf.PAfkrjk7isV6qKhj0dc+wGW92eaZSadfK+xu7c657jqJRjHlS9jO4RDQtaQjN657jJrV6M0+92emuBD4zB.O0S8Tczyy6sDQ9gtLGoBR9dhH8su8suefqyRqE0TSMc0XLUYLld65rjrhuLjct8qe8yoqEgN8ZphEKV4.3GRRjM9xZsKn95q+L0C9yrJpnh1769tu6EZs1+Kq0Zc82CRlW.HORtvZpolC0k+szYs.n1ZqsXiwToq1+oh3Uuu492+9+vtNKs18jO4S1K.Tc15nIzZsKqvBKzY8GfSJ.r3Eu3Cyyy68yFu8Nj7SEQJr+8u+qw0YQsOUWc0cIb3vUYLly20YIYXs1AWTQEUsK12N4R.hEK1TxRO3e0j7+TO3OXYPCZPa48du26h.Pj3OQkYUDQlRkUVoSlh6x3s.n1Zq87AvKjo2uoJR9PGwQbDSrW8pWwbcVTGbKbgKrHQjJEQZiqyRhfjSqnhJ5Fxz62LZAf4N241t7yO+2MaZz9QxcIhLhBKrvZccVTsLKXAK3BLFyRxll6AHoG.N8hJpn+Plb+lQuDfNzgNbm.3XccOvl.8x++PD4rzC9ytLvANvWvZs81Zsa00eGJAtq.grV6LIYF8jxYrcVM0TyISx2RDIuL09LUXs1OOTnP8pvBK7cbcVTImZpoltYs1m2XLeOWmkVJRNxALfALmL09KiT.HRjHli+3O90XLlyJSr+RUjbG.3BF3.G3a55rnRM0TSMGk0ZWtHxI45rzRPxsZLltUTQE84Yh8WF4R.NwS7DGRVzA+0aLletdvetghJpnOwXLmKIeOWmkVBQjC2ZsYrUZnzdK.polZZimm2GjMLauPx8Bf9b0W8U+htNKJ+UM0TyQ4448phHA9KGfjzZsm0fG7fS6OMoo8V.344M1rjC9iRx9qG7mapnhJ5SBEJzEQxs55r7MQDQLFyLxH6qz4FulZp4PhEK1eUD4HRm6mTk0Z8.v.F7fG7hbcVToWKXAKnGVqckYC2hPq09yG7fGbcoy8QZsE.QiF8WFzO3mjVQjqQO3u0gANvA9lj7prVaitNKeSDQlbZeejt1vUUUUGN.9HQj.8p3KIKYvCdvk65bnxrpt5pKhjOQPeVFxyyqWCYHC4kRWa+z1GdRNorfC9KWO3u0oAMnAUC.Jy043ahwXRqsBHsT.3Idhm36Bfqy0itpugQ426uqcsqwmN97qxN7AevGbWVq8Ec82E+FFgfWPUUU0Yjt9aPZo.PrXwtsf7T7k0ZazXLCpjRJQm9tZEqrxJyZLlASxM65r70gjosVA368APUUUUmsV6eWDoC9811uPxILjgLj.07ytxcl+7meuH4KDT6O.RRQjtWbwE+t98112+.as1qMHevO.d9hKt3o55PnBNJt3hWEI+UtNGGLhHBIuszw11WK.TSM0DhjA1q82ZseVznQGlNkcq1eezG8Q+ZOOuU55ui907pnpppJeexy0WK.zPCMb4A4Q8GIGwvG9vCzWumxMJqrxrVqcvjLPrfcr+DQLwhEah9810WK.Xs1wE.pTdvN6+iLrgMrmwO+7pxsL7gO7Mas1I65uqdvdAfAM6YO6N5mel8sB.yYNy4jEQ5oes87Sj7OYs1a104PE78we7G+nj7sbcNNPDQZe3vg6uetM8sB.hHAxy9asVqHRwCe3Ceu90mUUtqxJqLqmm2XCpq2..XX94mWeo.vrl0rNTQjA6GaqzfpF5PG5ez0gPk8XDiXDuoHxrbcNNHN2YO6Y6a8yVXeYiDN7UCf1GuBUfAIiZs1+KWmCU1mFarwaKb3v8K.N80KFiYH.3t7iMlecI.Axk0aR9Xibji7u55bnx9LpQMpOmj9dut6GDQFpussR0MPkUV4QFMZz+dPaTTYs18FJTni8Ztlq4SbcVTYmHoL24N22VDo6tNK6OOOuy9Zu1q80R0sSJeParXw5eP6fe..iwLS8feUpXeC.OdOtNGGHFiwWZEPJefq0ZGfq6YzCPO+uqFarwL1DqnJ20F1vFdRq0tNW+c5CvqA7vO7CmxOvcoTAfG+we7iB.mcpFB+FImZIkTRfeteSE7UVYkYI4855br+DQ5b94meeR0sSJU.vyyqP.HAfpgM+r+etmm2TR0+vnTMYiabiy2yya8t961GfWEmpe1RoB.VqMH16+2eIkTx1ccHT4NJqrxhIhb+tNG6OQjdWSM0DJU1FI83.3QezG86AfyhL3bu+I4lsV6zccNT4dBEJzbhEK1cHhzUWmkloS6bm67zAvajrafjtE.gCG96IhjwWdw+5PxpzY4GU5P7gR9zbcN1eVqs2ox6OoK.zXiMtk.v0.8u7RDY4oxeLTpuNwhEqh.3yHfaJ.je94uIRFXNaq0Z+6gCG9kccNT4tF6XG6m.ff1JG0OMUtcfIcAfgNzgVOI+cAfJfM8ZT5S7mJcyZsUD.9t9+7E.Ze6ZW6R5Ed2T5t.DMZzGfjaKU1F9AR9.iYLi44bcNT495PG5vRH4tbcNZNQjj9x.RoB.W+0e8aF.Wp0Z2kKp9YsVZs1asjRJ4VRkOGJUK0PG5PqG.Kx0m4e+d4lB...kTRIuoHxESxL5Scm0Z+HQjBFyXFy8kI2uJkmmWEtNCMm0ZOyJpnh7Sl2qu7P7TRIk7p0We8+Hq09.o6VCXs10644MoFarwSpjRJ4Y8i7qTIhwN1wtJq0tw.vY9AIgHRd6ZW65bRlOK998weJSYJsO+7y+RIYQ.3m6GKCyjbchHK1ZsKpzRKMPNesoZcYlyblyvXLk55bzDq0d+kVZoI77WfuLi.0bSXBSXO.Xw.XwSYJSo8sqcs6RMFyURxe..5J.55AagCwZsQEQ1B.1D.1DIeaRtnq+5u92yuyoRkhVIICLE..vONYdS9dAflq4ECZ9+9YO6Y2wnQi1UR1Uq0lO.1rwX1TokV5moKZGprAddduTnPgX.Zzv1sj4METBuRk0YFyXFusHRRclW+FI4d26dyO9IcawBbyjOJU1BQjU55LzDQDoCcnCGWh99zB.JURxyyaUt9N.z7WdddI7kAnE.Tpjj0ZWMI8bcNZFs.fRkobC2vMrCRtVWel+l8RK.nTYRj7sccFZRxT.Hsda.UpbcjbcjAl6bs1B.kJSRDYctNCMQDoiOzC8PGYh7dzV.nTofXwhstvgCNGFIhzM.7oszeesE.JUJX6ae6+Mq01fqyQSLFywlP+9oqfnTsFTVYkYAveI.bG.P79h3eKQxuV.PoRcAl9AfjcLQ98CNW7hRkkhjuuqyPSRzB.ZK.TpTjHRfYUnNQm+MzV.nToHOOucXLAiykps.PoxvDQ1oqyPSDQz9.Poxv1YPYz.Zs1D5R.zV.nToHOOOsE.JUqUVqU6C.kpUr.SK..fdW.TpLr.Se.nCDHkJC6XNliY2qe8q20w...jr8IxuudI.JUJ5i+3O9.tNW3HIzrBr1B.kJ00w.zk.jP8Gg1B.kJ0kPW2c5jHRBszkqs.PoRQdddcJTnPtNF.PaAfRkwknC9lzrDp.f1B.kJ0EX5C..jPWBf1B.kJ0EXZAPhdI.ZK.TpTDI6jqyPSz9.Pox7NJWGflQuK.JUF1wGf5C.sE.JUlTxrjbkFo8AfRkoDIRDCISn4h+zIR9kIxuu1B.kJEzt10tiVDostNGMgj+kD42WaAfRkB777BRM+OgWqB0V.nTol.SA.Rtya+1u8V75BHf1B.kJkXs1tIh35X.f8sTkmnuGsE.JUp4Tcc.ZlDt.f1B.kJIEIRjNQxS204nIVqUK.nTYJgBE5bAPv34.F.FiQK.nTYJVqsWAkq+GHwuC..Ze.nTohd65.zDRx7yO+OHQeeZK.Tpjvsdq25gQxt65bzDRtgILgIjPSHn.o4B.QhDoS.nO.33a5EI+AXeOwRap4uDQVO.d0xJqr.yZstRcvjWd40SI.09+j4V.BjFK.bm24cVHI+MhHeml+uO9ey5..91.3Ge.deeF.dE.7xhHu7e9O+me6ZqsVuzUNUpjgHRuCPOAf..+gj4M46E.hDIxQSxYJhboIy6WD4H.vUE+ENgS3D10cdm24ZDQdlXwh8z28ce2azOyqRkDD.TfqCQyQxUlLuOesILQhDoCVq8OJhj1d5nH4aAfmxXLOUYkU1eJcseTpClIO4I26PgB8htNGMgjQ28t2cmmxTlR8I560WaAf0Zumz4A+..hHmF.NMR9qui63N9HDuX.1W+GXSm6akB.vXLC00YX+7FIyA+.9XK.l7jm74Hh7+Jh3jasHI2B.VDIqMb3vqVKFnRGlvDlP9su8seyhHIzpva5DI+U20ccWQRl2quzBfewu3WzVQj45pC9A.DQ5B.JUDoTOOusb629sqECT9t1291eUAoC9A.DQRpq+GvmJ.zwN1wdCfiM.0qn+yhAwhEaKSdxSdQ.PKFnRYjLP07eRtmcric75I662WtDfIO4IOCQjR8isU5TSWl.zhApjvsca21QIhrAW1R2CfW3ttq65BS12ruzB.R1G+X6jAzE.TJ.JMZznZKCTIpgB.S.pktI8s+qIobK.lzjlzoXLl+XptcbIRtEQDsXf5fJRjHsKZznerHRWccVZNOOuy5du268MR12uezBf9DjpHlj5BI+msLXRSZRKxZs01t10NsXfB..QiFcD.nqAouqSxc7QezGs1TYa3Gs.XUhH8LU2NATagjZwfV4hDIR3Farw+hHx220Yo4rV6Scu268dUox1HkaA.I+go51H.qK.nTiwTZCMzvVl3Dm3h.fVLnUl8t28VrwX99Aoy9C.Px4mpaiTpE.QhDocMzPC6NH8TQkIPxsPRsXPq.QhDwzPCM7mEQBLy9u..j7Kpu95OxoO8o2PprcRoV.zXiMdz.PBZUFy.5R7a6Yo6cu6UaYPNr8rm8zeiwzsf12wI4BS0C9ARwB.j7+HUCP1tlFAhPKFjKR.vs45PbfHhTgurcRk27Dm3DuN.7H9QPx0zzfNRDQKFjkZhSbhi..Olqyw9ije38e+2+w4GaqTsS.a02BfCll2xf8rm8rka4VtEsXPVjwO9wenj79Bhcukec1e.8R.xT5B.Jkjkt6cu6sbK2xsrHOOuZOjC4PzhAATgCG9d.vgG.u1eZs1J8qsWJUd6lu4a9MDQNC+JLs1zzHPTKFDrLgILgdXLlWOfMl+A.f0Z+eevG7A6oes8R0V.b39UPZkpKjrTiwTZ80W+Vtoa5lVDI0hANTjHQL0We8+VDvFy+MgjyyO2doZe.nE.7IMe9LPKF3N0We8kDeVmJvgj6wXLOoetMS5KAXzidz40oN0oF8yvn9pZ5xDzhAoe2zMcSckj+YQjN65rbP7XO3C9fWqetAS5V.zoN0oCyOCh5.q4sLXW6ZWZKCRSh2z+pBpG7SRqwXtO+d6lzE.zq+2I5h0ZuFRtAru0NAs.fOYm6bm2gHRfYo9Z+QxZdfG3A9P+d6lJ8AfV.HCijOqmm20+vO7C+2bcVxkL9wO9dAf6z043fg6y8jN11IcA.q0dXAwAIQNpOgj2vTm5TWjqCRtlwMtw0E.TMBn85O..IW1Tm5Te2zw1NUtOmZK.RyHoG.lVnPgNA8fe+WjHQLgBEppf1r7yAvcmt1voRK.NbiIvMNIxYPx2JTnPkLkoLk2x0YIW0N1wNtc.b9A0y7G2KL0oN0ee5ZimzGAaLF8t.jFPxcPxw8s9VeqyPO3O84FuwarHRlTKlFYRVqMsc1efTrE.Ze.3uH4SFKVraXFyXFax0YIW1Mdi23EPxJEQBrW2O..Ie0G9ge3WJctOR5B.hHZe.3e9aVq85l1zlVctNH45F23FWOH4RDQZiqyx2DRlVO6OfdW.bJRFE.Ozd26d+UkWd46104IW2MbC2P2HYc.3PBxm4G.fjqMSbBAcb.3HjbM.XLSaZSSWhyy.F+3G+QYs1mOankqwejeutLw9JkJ.DzqhFDQxOG.Sb5Se5OF.z+.lAL9wO9CMVrXKWD4645rzBMqG4QdjzVO+2bI0cAXzidz4AfN4yYo0fJAvwO8oO8YC8f+LhwO9weTwhEa0hHmjqyRKAI2ZnPglTlZ+kTs.Hb3vGld1+VNRtNQjwN8oO8U45rzZxMbC2P2hFM5yKh78xh995Dm5Tm5mmo1YIUK.BGNbf+5nBBHYC.HhHR20C9yrF23FWO777dkrnl8CR9ZSe5SetYx8YR0B.OOOcL.7MfjuPnPgJcZSaZ99Svk5q20e8W+EXs1kfrfd6uIjzK95SYFMvIam.piBvCBR9OH4ublyblU45rzZTokVZQwGjOA96y+9YFybly7Ojo2oIUA.ct.3qhjTDobq0Noe6u829EtNOs1DIRDyV25Vu83Cu2.8H76.XyFi4NbwNNoK.nWBv+GR91hHW2LlwLdMWmkViF23FWW15V2ZU.37yR+d4Dl9zm9NbwNNouDfrrJroEjbShHS9HNhinBc54xMF6XGauhFMZ0YAORuGLKalyblU6pcdxV.PuDf8YNwhEqJ8f+LuHQhX9rO6ytCRdmAw4u+VBRtgFarwqwkYHTx7l5QO5wn.vOzmyR1nyUDoem9oe5u6ZW6Z2fqCSqEkVZocs95q+o.vvQJt313PQI4OeVyZVN8tDkr8Af9f.EmHxIRx+2wLlw73Vq8VJu7x2pqyTtpHQhX1xV1RIweJ4BjydusTjbR+te2u60ccNRpV.bZm1oMIjk++.7YB.NU.Lxdzidr00t10lwucN45F6XGaO14N24SKhLJ.zdWmmTAIW1i9nO53bcN.z9.vWIhbX.3wJojRFtmm2Xl8rm8645LksajibjGZd4k28Xs1Qksds9MGIWuwXFlqyQSR31wO5QO57DQzUDnuYQAvCQR8Y8O4HiZTiZ3wWLLxUNgSTR9yJu7xeCWGjljvE.JszR6pmm2mlNBStHRtd.7KJu7xWlqyR1fHQhX17l2b+I4sIhzcWmG+DImP4kW9C45bzbIbAfwLlw7irVaZYNJOWl0ZeSQj6667c9NKQusgeUQhDI7m7IeRwhH2pHR2bcdRCVZ4kW9U35Pr+R39.HZznGdnPIUeG1plwX5A.dxMsoM8gW60dsOP6ae6qX5Se5M35b4ZCaXCqcsoMsYDaZSa5VLFy2204IcfjuWiM1Xf459atDtE.iZTipe.vWWhhaMhjaVDYZM1Xiycdyada104ISqjRJ4nrV6PI43xhGEeeiH4FBEJzY+nO5i9ItNKGHISAfR.vuKMjkVkHYLQjmyZsyMTnPKq7xKOpqyT5RwEWb9ssss8pDQFJ1231OquW8+5PxsYLlyo7xK+8ccVNXR3KAPWO.7cgIYeDQ5imm2VG4HG47EQl2rm8ryUFKAx0dsWaurV6PEQ5mHxgzz+gb4mmDRVO.trf7A+.IQK.FwHFwCYLlwmNBi5+CI2nHx+i0Z+e.vKNm4Lmc55L0RMjgLjCKu7xqmwWtsKPD4655LkIQxnhHEL6YO6k65r7MIgK.LxQNxJ.vPRCYQcPDe8C3kAvyYs10Te80+10Vas6w04pICdvCtSsoMs4bMFSuHYuAP2kVoMSj6qYMCYNyYNYESHLISK.pSD4RSGgQ0xDeUC98.vaBf0Bf05448ml27l2dSm62HQhX1vF1vQCft0zKQjSE.mtHhdqg.f0ZG+bm6b+MtNGsTIbAfgO7g+FhHmQ5HLpjW7y77O.v5I4FDQ1..VO.1n0Z+BQj5EQp2Zs61XL0mWd4U+QdjG4d23F2X9.ni.niVqsSM8yhHcTDoSj7n.vwi8c.+wJhzVG8QLav8Nm4LmL1T5seHg6DvrgUVkVih2j6t.ftr+Ena931noeNVrXXiabi+KaiCzx8dqzVxmLJOa6fe.8t.nToLRduO9i+3YcG7CjfqK.wePfBDqHPj7sbcFTstEeM7a7YqG7CjfyG.+nezO5aCfaJMkkVDR9FdddEUQEUbmcu6ce6j7hP16rBiJKU76Lyvl27l2rbcVREITK.777blv+MG..fANjDQAQU10+SxOyZsCadyad+jJqrxWC.Xdyad+F.zORpOtspLFRVuHRAyadyKq3V880IgZAvodpm5IBfqI8DkCLtOyIu7x6Jd7G+w+JSgR+w+3e786d269KPxq..4mIylpUosQxKZdyadq10AwOjniE6L8JBz6QxyshJp3ZerG6wNnKXhUTQE+dq0dVjLPOrKUY2H4F.v4TQEUjQV5tyDRnV.z8t28yE.8IMkk+IRtGRdmsqcsaXycty8u0RdOuy67Ne4IcRmT0.3rDQN5zY9Ts9Px2SDoWUTQEerqyheJgZAPlXIAij+Oj7jprxJu2D8Iiq5pq9KZngFtHRN+zU9Ts9PxkZLlyohJpHP9H8lJRzwAPZaEAJ9pryMVYkUVaprcps1ZaD.Co3hK9uBf6n05XRWk5HYTRdqUUUUApowK+jyaA.Isjb5j7DR0C9at4O+4GQD4RI4V7qsop0i3yki+rb4C9ARvV.jFJ.7+SDojJqrx05yaW..TYkUt7hKt3SwZsyUD4xRG6CUtGRtLRNrpqt5b9U44Dp4wCdvC1WdPfH4NAvczXiM9H0Vasdo51qkn3hKdbj790GlE0AS7l7Oopqt5o35rjojnE.9H.7ejJ6Pq0t37xKuw4hNTYPCZPmL.dBQjSJSuuUAaweBJGPUUUkyWttxjRnB.CZPCZ6ovyBv5I40Wc0U+LI462WTXgE197xKuGTDoTWlCUvAIWVznQulZqs1C5XMIWUKt.vnG8nyaW6ZWI7JBDIiAfGpicrikEjVgbF3.G3kaLlGC4Nq5LpDT7Yl4ITc0UWsqyhqzhK.TXgE107xKuDZEAhjupHxXpt5pCjKjHw+LcejbH5sKrUEORNCiwbGUUUU6v0gwkZweounhJ5GEJTnVzAxj7KH4stvEtvYAf.+T+ZQEUzYYLloIhzCWmEU5EIeMiwTZ0UWctxrtbJoEea.SfYBn4GNb3IL+4O++QRloLtZpolWG.m4.G3.GtHx8f8My5nxgPxsBfItfErf4hrfSJkozheV.NkS4TNMRVzA6+NI+PRNfErfELk24cdm58m3kY8m9S+o2t6cu6kGKVr1BfSGI3yJgJ3I9bk3r777txZpolW004InIQtDfRLFyWYEAhjM.f6c6ae6+2O2y8b4Lq0cW8Ue0Gu0Z+MhHWrqyhJ4Px0ZLlq6IdhmHm4o2yukPWBv9+b.PxUJhL1EtvE9A9dxbrm3Idh2G.WRQEUTA.39DQNAWmIUKCIeU.b20TSM045rDz0hK.PxCqoNJmj+CRNgZqs1b9m5tZpolkAfmY.CX.WNImnHxOw0YRcP8BXeG3+RtNHYKRjaCXE.nXQjYGNb3I1ZXbRefzu90uelwXlH.tL8VG5dwuF+kAf6t1ZqUapeBJQJ.beVq8oWzhVj1QJXe2VTRdy.3pEQxy04o0FRZAPM.3dps1ZCjiyjrA5YvRQCX.C36FKVreoHxnDQz4jvzu8.fp877tuEu3E+gtNLY6zB.9jBKrvCkjCG.CN95kmxmPRJhrZRNuFarwmboKcoYMqTxAcZAfzf9129d7FiYPjbPhH+.WmmrXeH.pvZsUt3Eu3065vjKRK.jl0u90uyTDYPjb.hH5HL7a.I+BQjEJhTQs0V6q457jqSK.jgTXgEFJVrX8NdKC5aPYIVKHfj6PDYkjb96d269YxkFPYAcZA.GnvBKrMVq8LAPOI44AfyVDo8tNWYJjbOhHqI9.IakFiYsYpYFJ0+Js.P.PgEVXahFM5Y.fySDomXeED5fiikuI95n2a.fURxUt28t2WWOKevfV.H.Zzidz4sssssdXs1dJh7yH4IAf+8rgAdT7AlyF.v5.vePDYkcnCc3Ul+7meV4CHVtt.+WnT6Se5Se5Pd4k2OD.GGION.zM.bb.33DQ5rChzNI45.v5DQVGIWmHx5BGN7GTas0tGGjGURPK.jCnvBK7H777Zpvv2F.cD.GBIODR1QQjCoo+cwe0zO2druAVyNAvt.vNEQ1II+W9YQjcF+24KsV6ewXLqaIKYIIzrCkRoTJkRoTJkRoTJkRoTJkRoTJkRoTJkRoTJ+1+e.aEqsP1U3faK.....IUjSD4pPfIH" ],
					"embed" : 1,
					"id" : "obj-36",
					"maxclass" : "fpic",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 250.625, 488.40625, 20.0, 20.0 ],
					"pic" : "Loop.png"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-31",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 136.5, 197.0, 145.0, 20.0 ],
					"text" : "r Logic-ReWire-Transport"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-14",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "bang", "pause" ],
					"patching_rect" : [ 56.375, 587.90625, 60.0, 20.0 ],
					"text" : "t b pause"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-9",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "bang", "resume" ],
					"patching_rect" : [ 69.875, 560.90625, 67.0, 20.0 ],
					"text" : "t b resume"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-8",
					"maxclass" : "newobj",
					"numinlets" : 3,
					"numoutlets" : 3,
					"outlettype" : [ "bang", "bang", "" ],
					"patching_rect" : [ 56.375, 532.90625, 46.0, 20.0 ],
					"text" : "sel 0 1"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-3",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 69.875, 637.90625, 77.0, 18.0 ],
					"text" : "pic Stop.png"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-32",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 56.375, 613.90625, 75.0, 18.0 ],
					"text" : "pic Play.png"
				}

			}
, 			{
				"box" : 				{
					"autofit" : 1,
					"id" : "obj-30",
					"maxclass" : "fpic",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 230.625, 488.40625, 20.0, 20.0 ],
					"pic" : "Play.png"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-28",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 437.125, 276.0, 64.0, 20.0 ],
					"text" : "r divisions"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-27",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 286.1875, 525.15625, 66.0, 20.0 ],
					"text" : "s divisions"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-26",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 361.0625, 452.15625, 38.0, 20.0 ],
					"text" : "r bbu"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-24",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 271.09375, 428.15625, 88.0, 20.0 ],
					"text" : "r rewire-tempo"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-85",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 209.125, 675.90625, 86.0, 20.0 ],
					"text" : "s hostcontrol~"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-41",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 271.09375, 575.15625, 51.0, 18.0 ],
					"text" : "bpm $1"
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"bordercolor" : [ 0.501961, 0.501961, 0.501961, 0.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"hbgcolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"htextcolor" : [ 0.6, 0.6, 0.6, 1.0 ],
					"id" : "obj-12",
					"maxclass" : "flonum",
					"maximum" : 400.0,
					"minimum" : 1.0,
					"numdecimalplaces" : 4,
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "float", "bang" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 271.09375, 478.40625, 76.0, 20.0 ],
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ],
					"triangle" : 0
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-22",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 226.75, 270.0, 90.0, 20.0 ],
					"text" : "s rewire-tempo"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-18",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 575.045532, 210.34375, 75.0, 20.0 ],
					"text" : "r clockmenu"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-17",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 392.0, 254.0, 77.0, 20.0 ],
					"text" : "s clockmenu"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-16",
					"maxclass" : "newobj",
					"numinlets" : 0,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 40.25, 335.125, 84.0, 20.0 ],
					"text" : "r hostcontrol~"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-15",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 347.0625, 497.40625, 112.0, 20.0 ],
					"text" : "4/4 13.2.31.1",
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-81",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 528.295532, 77.0, 43.0, 20.0 ],
					"text" : "Driver"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-80",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 528.295532, 147.34375, 48.0, 20.0 ],
					"text" : "Enable"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"frgb" : 0.0,
					"id" : "obj-78",
					"maxclass" : "comment",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 496.295532, 236.34375, 80.0, 20.0 ],
					"text" : "Clock Source"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-45",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 2,
					"outlettype" : [ "int", "" ],
					"patcher" : 					{
						"fileversion" : 1,
						"appversion" : 						{
							"major" : 6,
							"minor" : 1,
							"revision" : 2,
							"architecture" : "x64"
						}
,
						"rect" : [ 25.0, 69.0, 640.0, 480.0 ],
						"bglocked" : 0,
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"statusbarvisible" : 2,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"enablehscroll" : 1,
						"enablevscroll" : 1,
						"devicewidth" : 0.0,
						"description" : "",
						"digest" : "",
						"tags" : "",
						"boxes" : [ 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-14",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 336.0, 204.0, 61.0, 20.0 ],
									"text" : "<< fudge"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-13",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 336.0, 177.0, 161.0, 20.0 ],
									"text" : "<<~ current ppq per division"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-12",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 81.5, 196.0, 112.0, 20.0 ],
									"text" : "<<current division"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-10",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 107.5, 166.0, 111.0, 20.0 ],
									"text" : "<<ppq per division"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-8",
									"linecount" : 4,
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 96.0, 100.0, 178.0, 60.0 ],
									"text" : "<<translate Logic divisions to divisions of a quarter note\n(Flonum allows Logic's \"6\" division)"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-6",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 342.0, 139.0, 150.0, 20.0 ],
									"text" : "<<~ current ppq in Logic"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-4",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 324.5, 114.0, 240.0, 20.0 ],
									"text" : "<<Force Max ppq (480) up to Logic's (960)"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-39",
									"maxclass" : "newobj",
									"numinlets" : 1,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 292.0, 234.0, 138.0, 20.0 ],
									"text" : "if $i1 > 2 then $i1 else 1"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-166",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 81.5, 258.0, 103.0, 20.0 ],
									"text" : "scale to start at 1"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-139",
									"maxclass" : "newobj",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "int" ],
									"patching_rect" : [ 50.0, 258.0, 32.5, 20.0 ],
									"text" : "+ 1"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-156",
									"maxclass" : "newobj",
									"numinlets" : 1,
									"numoutlets" : 3,
									"outlettype" : [ "", "int", "int" ],
									"patching_rect" : [ 50.0, 230.0, 50.0, 20.0 ],
									"text" : "change"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-143",
									"maxclass" : "newobj",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "int" ],
									"patching_rect" : [ 292.0, 204.0, 32.5, 20.0 ],
									"text" : "+ 2"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-134",
									"maxclass" : "newobj",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "int" ],
									"patching_rect" : [ 50.0, 196.0, 32.5, 20.0 ],
									"text" : "/"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-128",
									"maxclass" : "newobj",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "int" ],
									"patching_rect" : [ 292.0, 177.0, 35.0, 20.0 ],
									"text" : "% 0."
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-125",
									"maxclass" : "newobj",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "float" ],
									"patching_rect" : [ 63.5, 166.0, 44.0, 20.0 ],
									"text" : "!/ 960."
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-124",
									"maxclass" : "newobj",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "int" ],
									"patching_rect" : [ 292.0, 114.0, 32.5, 20.0 ],
									"text" : "* 2"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-119",
									"maxclass" : "newobj",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "int" ],
									"patching_rect" : [ 292.0, 139.0, 45.0, 20.0 ],
									"text" : "% 960"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"frgb" : 0.0,
									"id" : "obj-116",
									"maxclass" : "comment",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 430.0, 234.0, 62.0, 20.0 ],
									"text" : "no zeros"
								}

							}
, 							{
								"box" : 								{
									"fontname" : "Arial",
									"fontsize" : 12.0,
									"id" : "obj-104",
									"maxclass" : "newobj",
									"numinlets" : 2,
									"numoutlets" : 1,
									"outlettype" : [ "float" ],
									"patching_rect" : [ 63.5, 100.0, 32.5, 20.0 ],
									"text" : "/ 4."
								}

							}
, 							{
								"box" : 								{
									"comment" : "Division",
									"hint" : "Division",
									"id" : "obj-40",
									"maxclass" : "inlet",
									"numinlets" : 0,
									"numoutlets" : 1,
									"outlettype" : [ "" ],
									"patching_rect" : [ 63.5, 54.0, 25.0, 25.0 ]
								}

							}
, 							{
								"box" : 								{
									"comment" : "raw ticks",
									"hint" : "raw ticks",
									"id" : "obj-42",
									"maxclass" : "inlet",
									"numinlets" : 0,
									"numoutlets" : 1,
									"outlettype" : [ "float" ],
									"patching_rect" : [ 292.0, 54.0, 25.0, 25.0 ]
								}

							}
, 							{
								"box" : 								{
									"comment" : "",
									"id" : "obj-43",
									"maxclass" : "outlet",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 50.0, 332.0, 25.0, 25.0 ]
								}

							}
, 							{
								"box" : 								{
									"comment" : "",
									"id" : "obj-44",
									"maxclass" : "outlet",
									"numinlets" : 1,
									"numoutlets" : 0,
									"patching_rect" : [ 292.0, 346.0, 25.0, 25.0 ]
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"destination" : [ "obj-125", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-104", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-128", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-119", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-134", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-119", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-119", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-124", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-128", 1 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-125", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-134", 1 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-125", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-143", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-128", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-156", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-134", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-43", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-139", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-39", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-143", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-139", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-156", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-44", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-39", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-104", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-40", 0 ]
								}

							}
, 							{
								"patchline" : 								{
									"destination" : [ "obj-124", 0 ],
									"disabled" : 0,
									"hidden" : 0,
									"source" : [ "obj-42", 0 ]
								}

							}
 ]
					}
,
					"patching_rect" : [ 437.125, 303.0, 88.125, 20.0 ],
					"saved_object_attributes" : 					{
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"default_fontsize" : 12.0,
						"description" : "",
						"digest" : "",
						"fontface" : 0,
						"fontname" : "Arial",
						"fontsize" : 12.0,
						"globalpatchername" : "",
						"tags" : ""
					}
,
					"text" : "p division-ppq"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-84",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 226.75, 249.0, 43.0, 18.0 ],
					"text" : "set $1"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-82",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 224.125, 609.90625, 63.0, 20.0 ],
					"text" : "delay 250"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-75",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 224.125, 636.90625, 147.0, 20.0 ],
					"text" : "s Logic-ReWire-Transport"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-70",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "int", "bang" ],
					"patching_rect" : [ 209.125, 581.90625, 34.0, 20.0 ],
					"text" : "t 0 b"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-68",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 615.545532, 290.34375, 147.0, 20.0 ],
					"text" : "s Logic-ReWire-Transport"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-66",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 249.125, 551.15625, 50.0, 18.0 ],
					"text" : "loop $1"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-53",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 615.545532, 263.34375, 91.0, 18.0 ],
					"text" : "clocksource $1"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-2",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 40.25, 365.125, 76.0, 20.0 ],
					"text" : "hostcontrol~",
					"varname" : "hostcontrol~"
				}

			}
, 			{
				"box" : 				{
					"arrowbgcolor" : [ 0.858824, 0.858824, 0.858824, 0.0 ],
					"arrowframe" : 0,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"bgcolor2" : [ 0.95, 0.95, 0.95, 1.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"framecolor" : [ 0.501961, 0.501961, 0.501961, 0.0 ],
					"id" : "obj-35",
					"items" : [ "rewire", ",", "internal", ",", "live" ],
					"maxclass" : "umenu",
					"numinlets" : 1,
					"numoutlets" : 3,
					"outlettype" : [ "int", "", "" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 575.045532, 236.34375, 100.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"arrowbgcolor" : [ 0.858824, 0.858824, 0.858824, 0.0 ],
					"arrowframe" : 0,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"bgcolor2" : [ 0.95, 0.95, 0.95, 1.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"framecolor" : [ 0.501961, 0.501961, 0.501961, 0.0 ],
					"id" : "obj-25",
					"items" : [ "Off", ",", "On" ],
					"maxclass" : "umenu",
					"numinlets" : 1,
					"numoutlets" : 3,
					"outlettype" : [ "int", "", "" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 575.358032, 147.34375, 47.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-29",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 2,
					"outlettype" : [ "", "int" ],
					"patching_rect" : [ 575.358032, 180.34375, 93.0, 20.0 ],
					"text" : "adstatus switch"
				}

			}
, 			{
				"box" : 				{
					"arrowbgcolor" : [ 0.858824, 0.858824, 0.858824, 0.0 ],
					"arrowframe" : 0,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"bgcolor2" : [ 0.95, 0.95, 0.95, 1.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"framecolor" : [ 0.501961, 0.501961, 0.501961, 0.0 ],
					"id" : "obj-38",
					"items" : [ "None", ",", "Core Audio", ",", "NonRealTime", ",", "ad_portaudio", "Core Audio", ",", "ad_rewire", ",", "Live" ],
					"maxclass" : "umenu",
					"numinlets" : 1,
					"numoutlets" : 3,
					"outlettype" : [ "int", "", "" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 571.295532, 77.0, 100.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-10",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 2,
					"outlettype" : [ "", "int" ],
					"patching_rect" : [ 571.295532, 110.0, 89.0, 20.0 ],
					"text" : "adstatus driver"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-162",
					"maxclass" : "message",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 40.25, 102.0, 32.5, 18.0 ],
					"text" : "8nt"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-160",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 40.25, 132.0, 137.0, 20.0 ],
					"text" : "translate notevalues ms"
				}

			}
, 			{
				"box" : 				{
					"arrowbgcolor" : [ 0.858824, 0.858824, 0.858824, 0.0 ],
					"arrowframe" : 0,
					"bgcolor" : [ 1.0, 1.0, 1.0, 0.0 ],
					"bgcolor2" : [ 0.95, 0.95, 0.95, 1.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"framecolor" : [ 0.501961, 0.501961, 0.501961, 0.0 ],
					"hint" : "Resolution",
					"id" : "obj-123",
					"items" : [ 4, ",", 6, ",", 8, ",", 12, ",", 16, ",", 24, ",", 32, ",", 48, ",", 64, ",", 96, ",", 192 ],
					"maxclass" : "umenu",
					"numinlets" : 1,
					"numoutlets" : 3,
					"outlettype" : [ "int", "", "" ],
					"parameter_enable" : 0,
					"patching_rect" : [ 271.09375, 497.40625, 49.1875, 20.0 ],
					"pattrmode" : 1,
					"textcolor" : [ 1.0, 1.0, 1.0, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-47",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 18.5, 181.0, 40.75, 20.0 ],
					"text" : "del"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-23",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 3,
					"outlettype" : [ "bang", "bang", "bang" ],
					"patching_rect" : [ 18.5, 73.0, 62.5, 20.0 ],
					"text" : "b 3"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-19",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 18.5, 43.0, 583.0, 20.0 ],
					"text" : "metro 128n @transport Logic-ReWire-Transport @active 1 @autostart 1 @autostarttime 1. @quantize 128n"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-13",
					"maxclass" : "newobj",
					"numinlets" : 1,
					"numoutlets" : 2,
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 268.25, 297.0, 86.0, 20.0 ],
					"text" : "unpack"
				}

			}
, 			{
				"box" : 				{
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-1",
					"maxclass" : "newobj",
					"numinlets" : 2,
					"numoutlets" : 9,
					"outlettype" : [ "int", "int", "float", "float", "float", "", "int", "float", "" ],
					"patching_rect" : [ 62.0, 226.0, 349.0, 20.0 ],
					"text" : "transport @name Logic-ReWire-Transport @clocksource rewire",
					"varname" : "Logic-ReWire-Transport"
				}

			}
, 			{
				"box" : 				{
					"align" : 1,
					"attr" : "clocksource",
					"attr_display" : 1,
					"attrfilter" : [ "clocksource" ],
					"bordercolor" : [ 0.501961, 0.501961, 0.501961, 0.0 ],
					"fontname" : "Arial",
					"fontsize" : 12.0,
					"id" : "obj-21",
					"ignoreclick" : 1,
					"lock" : 1,
					"maxclass" : "attrui",
					"menu_display" : 1,
					"numinlets" : 1,
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 73.625, 163.0, 169.0, 20.0 ],
					"rounded" : 0.0
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 0.666667, 0.666667, 0.666667, 0.0 ],
					"border" : 1,
					"id" : "obj-37",
					"maxclass" : "panel",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 769.545532, 6.65625, 374.0, 410.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 0.666667, 0.666667, 0.666667, 0.0 ],
					"border" : 1,
					"id" : "obj-55",
					"maxclass" : "panel",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 15.375, 6.65625, 756.170532, 410.0 ]
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 0.28, 0.28, 0.28, 1.0 ],
					"id" : "obj-89",
					"maxclass" : "panel",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 208.625, 478.40625, 250.4375, 40.0 ],
					"rounded" : 0
				}

			}
, 			{
				"box" : 				{
					"bgcolor" : [ 0.666667, 0.666667, 0.666667, 0.0 ],
					"border" : 1,
					"id" : "obj-7",
					"maxclass" : "panel",
					"numinlets" : 1,
					"numoutlets" : 0,
					"patching_rect" : [ 15.375, 415.90625, 570.079468, 300.0 ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"destination" : [ "obj-13", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-1", 5 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-17", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-1", 8 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-45", 1 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-1", 7 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-61", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-1", 6 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-71", 6 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-1", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-71", 4 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-1", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-84", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-1", 4 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-38", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"midpoints" : [ 580.795532, 140.0, 561.295532, 140.0, 561.295532, 68.0, 580.795532, 68.0 ],
					"source" : [ "obj-10", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-101", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-100", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-162", 1 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-101", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-41", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-12", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-27", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-123", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-71", 2 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-13", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-71", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-13", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-145", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-131", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-133", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-132", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-42", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-133", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-42", 4 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-134", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-42", 6 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-135", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-139", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-136", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-136", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-137", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-136", 1 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-138", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-132", 1 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-139", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-134", 1 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-139", 5 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-135", 1 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-139", 7 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-140", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-139", 2 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-141", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-139", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-142", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-139", 6 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-143", 1 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-139", 3 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-144", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-139", 4 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-32", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-14", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-85", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-14", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-143", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-140", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-132", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-141", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-135", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-142", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-42", 2 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-143", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-134", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-144", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-46", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-145", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-2", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-16", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-47", 1 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-160", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-160", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-162", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-35", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-18", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-23", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-19", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-1", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-21", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-1", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-23", 2 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-162", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-23", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-47", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-23", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-12", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-24", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-29", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-25", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-15", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-26", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-45", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-28", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-25", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"midpoints" : [ 584.858032, 210.34375, 565.358032, 210.34375, 565.358032, 138.34375, 584.858032, 138.34375 ],
					"source" : [ "obj-29", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-30", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"midpoints" : [ 79.375, 668.90625, 41.125, 668.90625, 41.125, 465.90625, 240.125, 465.90625 ],
					"source" : [ "obj-3", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-1", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-31", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-30", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"midpoints" : [ 65.875, 639.90625, 48.125, 639.90625, 48.125, 462.90625, 240.125, 462.90625 ],
					"source" : [ "obj-32", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-53", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-35", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-10", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-38", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-70", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-4", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-85", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-41", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-54", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-42", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-133", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-43", 7 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-42", 6 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-43", 10 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-42", 4 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-43", 9 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-42", 2 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-43", 8 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-43", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-44", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-71", 10 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-45", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-71", 8 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-45", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-137", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-46", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-138", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-46", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-1", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-47", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-52", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-48", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-66", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-49", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-8", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"midpoints" : [ 236.625, 526.90625, 65.875, 526.90625 ],
					"source" : [ "obj-50", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-68", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-53", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-40", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-54", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-69", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-64", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-85", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-66", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-3", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-69", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-32", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-69", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-82", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-70", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-85", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-70", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-83", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-71", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-131", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-74", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-44", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-74", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-14", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-8", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-9", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-8", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-75", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-82", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-77", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-83", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-22", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-84", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-3", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-9", 0 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-85", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-9", 1 ]
				}

			}
, 			{
				"patchline" : 				{
					"destination" : [ "obj-100", 0 ],
					"disabled" : 0,
					"hidden" : 0,
					"source" : [ "obj-99", 0 ]
				}

			}
 ],
		"dependency_cache" : [ 			{
				"name" : "Play.png",
				"bootpath" : "/Users/jp/Documents/Max/Projects/Logic-Rewire-Transport/media",
				"patcherrelativepath" : "../media",
				"type" : "PNG ",
				"implicit" : 1
			}
, 			{
				"name" : "Loop.png",
				"bootpath" : "/Users/jp/Documents/Max/Projects/Logic-Rewire-Transport/media",
				"patcherrelativepath" : "../media",
				"type" : "PNG ",
				"implicit" : 1
			}
, 			{
				"name" : "Rewind.png",
				"bootpath" : "/Users/jp/Documents/Max/Projects/Logic-Rewire-Transport/media",
				"patcherrelativepath" : "../media",
				"type" : "PNG ",
				"implicit" : 1
			}
, 			{
				"name" : "division.txt",
				"bootpath" : "/Users/jp/Documents/Max/Projects/Logic-Rewire-Transport/data",
				"patcherrelativepath" : "../data",
				"type" : "TEXT",
				"implicit" : 1
			}
 ]
	}

}
